## libwildlifesystems 1.1.0

=== tests/Makefile ===
# Makefile for libwildlifesystems unit tests
# Uses Unity test framework

CC = gcc
CFLAGS = -Wall -Wextra -std=c99 -I../src -DTEST_BUILD

# Source files
UNITY_SRC = unity.c
TEST_SRC = test_ws_utils.c
LIB_SRC = ../src/ws_utils.c

# Object files
OBJS = unity.o test_ws_utils.o ws_utils.o

# Test binary
TEST_BIN = run_tests

.PHONY: all clean test

all: $(TEST_BIN)

$(TEST_BIN): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS)

unity.o: unity.c unity.h
	$(CC) $(CFLAGS) -c unity.c

test_ws_utils.o: test_ws_utils.c unity.h ../src/ws_utils.h
	$(CC) $(CFLAGS) -c test_ws_utils.c

ws_utils.o: $(LIB_SRC) ../src/ws_utils.h
	$(CC) $(CFLAGS) -c $(LIB_SRC)

test: $(TEST_BIN)
	./$(TEST_BIN)

clean:
	rm -f $(OBJS) $(TEST_BIN)

## libwildlifesystems 1.0.0

=== debian/changelog ===
libwildlifesystems (1.0.0) stable; urgency=medium

  * Initial release

 -- Ed Baker <edwbaker@gmail.com>  Sun, 25 Jan 2026 12:00:00 +0000

=== debian/control ===
Source: libwildlifesystems
Section: libs
Priority: optional
Maintainer: Wildlife Systems <info@wildlifesystems.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/wildlifesystems/libwildlifesystems

Package: libwildlifesystems-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: WildlifeSystems shared sensor utilities - development files
 Static library and headers providing common functionality for
 WildlifeSystems sensor drivers.

## libwildlifesystems 1.1.0

=== debian/changelog ===
libwildlifesystems (1.1.0) stable; urgency=medium

  * Add logging: ws_log_init, ws_log_error, ws_log_warning, ws_log_info
  * Add ws_sensor_config_base_t and ws_sensor_config_free_fields
  * Add file reading: ws_read_file, ws_json_count_objects
  * Add JSON parsing: ws_json_parse_string, ws_json_parse_bool/int
  * Add ws_get_serial_with_suffix for sensor ID generation
  * Add JSON builders: ws_json_builder_*, ws_json_array_*
  * Add sensor JSON helpers: ws_build_sensor_json_base
  * Add config builders: ws_build_config_base, ws_config_add_*
  * Add unit tests with Unity framework

 -- Ed Baker <edwbaker@gmail.com>  Tue, 27 Jan 2026 12:00:00 +0000

## libwildlifesystems 1.1.1

=== Makefile ===
# libwildlifesystems - WildlifeSystems shared sensor utilities
# Static library for common sensor driver functionality

CC = gcc
AR = ar
CFLAGS = -Wall -Wextra -Werror -std=c99 -O2 -fPIC
ARFLAGS = rcs

# Version from debian/changelog
VERSION := $(shell dpkg-parsechangelog -S Version 2>/dev/null || echo "1.0.0")
CFLAGS += -DVERSION="$(VERSION)"

# Directories
SRCDIR = src
BUILDDIR = build

# Library name
LIB = libwildlifesystems.a

# Source and object files
SRC = $(SRCDIR)/ws_utils.c
OBJ = $(BUILDDIR)/ws_utils.o

# Install directories
DESTDIR ?=
PREFIX ?= /usr
LIBDIR = $(PREFIX)/lib
INCLUDEDIR = $(PREFIX)/include/ws

.PHONY: all clean install

all: $(BUILDDIR) $(LIB)

$(BUILDDIR):
	mkdir -p $(BUILDDIR)

$(BUILDDIR)/%.o: $(SRCDIR)/%.c $(SRCDIR)/ws_utils.h
	$(CC) $(CFLAGS) -c $< -o $@

$(LIB): $(OBJ)
	$(AR) $(ARFLAGS) $@ $^

install: $(LIB)
	install -d $(DESTDIR)$(LIBDIR)
	install -m 644 $(LIB) $(DESTDIR)$(LIBDIR)/
	install -d $(DESTDIR)$(INCLUDEDIR)
	install -m 644 $(SRCDIR)/ws_utils.h $(DESTDIR)$(INCLUDEDIR)/

clean:
	rm -rf $(BUILDDIR) $(LIB)

=== debian/changelog ===
libwildlifesystems (1.1.1) stable; urgency=medium

  * Fix timestamp output as integer instead of string

 -- Ed Baker <edwbaker@gmail.com>  Tue, 27 Jan 2026 14:00:00 +0000
